Subject: Re: Mail from cron yields error
From: Tino Lange <[email-masked]>
To: [email-masked]
Cc: a12 <[email-masked]>
Date: Thu, 20 Mar 2003 11:25:03 +0100

Hi!

If you use blat, then you don't have to care about the ssmtp settings, 
if you use ssmtp then you don't have to care about the blat settings. 
These are different approaches to send mail.

The MAILTO Variable inside crontab is only used by cron to invoke the 
default mailer (which might be ssmtp on a cygwin istallation) if your 
cron-job has output to stdout/stderr.

Since you're sending with blat you're missing the "-t" or "-to" to blat.exe!

Try adding -t $MAILTO

HTH
Best regards

Tino

--------------

a12 wrote:
> Hi gurus,
> 
> In the process of mailing messages using cron, I have created
> /var/cron/tabs/sysaccount:
> SHELL=/bin/sh
> # mail any output to 'sysaccount', no matter whose crontab this is
> MAILTO=sysaccount
> #
> 0 * * * * /cygdrive/h/blat/blat.exe ssmtp -f [email-masked] -f
> sysaccount@rrback -server mail.fake.se -s "Subject"
> 
> However no mail is sent.
> 
> I have tested blat manually and it sends mail as expected.
> 
> /etc/ssmtp/revaliases contains comments only.
> /etc/ssmtp/ssmtp.conf contains:
> root=postmaster
> mailhub=mail.fake.se
> hostname=rrback
> 
> Windows Event Log contains the following entries:
> Source: sSMTP mail
> User:   RRBACK\sysaccount
> Computer: RRBACK
> Description: The description for Event ID (0) in Source (sSMTP
> mail) cannot be found. The local computer may not have the
> necessary registry information or message DLL files to display
> messages from a remote computer. The following information is
> part of the event: sSMTP mail: PID 856: /usr/sbin/ssmtp sent
> mail for sysaccount.
> Source: /USR/SBIN/CRON
> User:   NT AUTHORITY\SYSTEM
> Computer: RRBACK
> Description: The description for Event ID (0) in Source
> (USR/SBIN/CRON) cannot be found. The local computer may not
> have the necessary registry information or message DLL files to
> display messages from a remote computer. The following
> information is part of the event: /USR/SBIN/CRON: PID 1012:
> (sysaccount) MAIL (mailed 124 bytes of output but got status:
> 0xffffffff).
> 
> What have I missed ?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/